Namespaces | Classes

# geos::index Namespace Reference

Provides classes for various kinds of spatial indexes. More...

## Namespaces
namespace | bintree

| Contains classes that implement a Binary Interval Tree index.
namespace | chain

| Contains classes that implement Monotone Chains.
namespace | quadtree

| Contains classes that implement a Quadtree spatial index.
namespace | strtree

| Contains 2-D and 1-D versions of the Sort-Tile-Recursive (STR) tree, a query-only R-tree.
namespace | sweepline

| Contains classes which implement a sweepline algorithm for scanning geometric data structures.
## Classes
class | ItemVisitor
| A visitor for items in an index. More...
class | SpatialIndex
| Abstract class defines basic insertion and query operations supported by classes implementing spatial index algorithms. More...

## Detailed Description

Provides classes for various kinds of spatial indexes.